From 5c4069558d42fd61d083878335a704eb6f888ca9 Mon Sep 17 00:00:00 2001
From: Kaixi Hou <kaixih@nvidia.com>
Date: Tue, 4 May 2021 15:21:11 -0700
Subject: [PATCH] Update headers path to TF-compat

---
 include/cudnn_backend_base.h                | 2 +-
 include/cudnn_frontend_ConvDesc.h           | 4 ++--
 include/cudnn_frontend_Engine.h             | 4 ++--
 include/cudnn_frontend_EngineConfig.h       | 4 ++--
 include/cudnn_frontend_EngineFallbackList.h | 2 +-
 include/cudnn_frontend_ExecutionPlan.h      | 4 ++--
 include/cudnn_frontend_Filters.h            | 2 +-
 include/cudnn_frontend_Heuristics.h         | 4 ++--
 include/cudnn_frontend_MatMulDesc.h         | 4 ++--
 include/cudnn_frontend_Operation.h          | 4 ++--
 include/cudnn_frontend_OperationGraph.h     | 4 ++--
 include/cudnn_frontend_PointWiseDesc.h      | 4 ++--
 include/cudnn_frontend_ReductionDesc.h      | 4 ++--
 include/cudnn_frontend_Resample.h           | 4 ++--
 include/cudnn_frontend_VariantPack.h        | 4 ++--
 15 files changed, 27 insertions(+), 27 deletions(-)

diff --git a/include/cudnn_backend_base.h b/include/cudnn_backend_base.h
index 56d8bec..8ceb19c 100644
--- a/include/cudnn_backend_base.h
+++ b/include/cudnn_backend_base.h
@@ -24,7 +24,7 @@
 
 #include <ostream>
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 
 namespace cudnn_frontend {
 
diff --git a/include/cudnn_frontend_ConvDesc.h b/include/cudnn_frontend_ConvDesc.h
index ded7e67..68341e1 100644
--- a/include/cudnn_frontend_ConvDesc.h
+++ b/include/cudnn_frontend_ConvDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_Engine.h b/include/cudnn_frontend_Engine.h
index 7e18cd7..d26f4ee 100644
--- a/include/cudnn_frontend_Engine.h
+++ b/include/cudnn_frontend_Engine.h
@@ -30,8 +30,8 @@
 #include <utility>
 #include <vector>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_OperationGraph.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_EngineConfig.h b/include/cudnn_frontend_EngineConfig.h
index ea68554..0888858 100644
--- a/include/cudnn_frontend_EngineConfig.h
+++ b/include/cudnn_frontend_EngineConfig.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Engine.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_EngineFallbackList.h b/include/cudnn_frontend_EngineFallbackList.h
index 323106a..d90a1ea 100644
--- a/include/cudnn_frontend_EngineFallbackList.h
+++ b/include/cudnn_frontend_EngineFallbackList.h
@@ -22,7 +22,7 @@
 
 #pragma once
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 #include <numeric>
 #include "cudnn_frontend_Heuristics.h"
 
diff --git a/include/cudnn_frontend_ExecutionPlan.h b/include/cudnn_frontend_ExecutionPlan.h
index e361821..88f5790 100644
--- a/include/cudnn_frontend_ExecutionPlan.h
+++ b/include/cudnn_frontend_ExecutionPlan.h
@@ -30,8 +30,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Engine.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_Filters.h b/include/cudnn_frontend_Filters.h
index aac4086..ed1f343 100644
--- a/include/cudnn_frontend_Filters.h
+++ b/include/cudnn_frontend_Filters.h
@@ -22,7 +22,7 @@
 
 #pragma once
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 
 namespace cudnn_frontend {
 
diff --git a/include/cudnn_frontend_Heuristics.h b/include/cudnn_frontend_Heuristics.h
index b1c5e98..2ccd737 100644
--- a/include/cudnn_frontend_Heuristics.h
+++ b/include/cudnn_frontend_Heuristics.h
@@ -25,8 +25,8 @@
 #include <vector>
 #include <mutex>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_OperationGraph.h"
 #include "cudnn_frontend_EngineConfig.h"
diff --git a/include/cudnn_frontend_MatMulDesc.h b/include/cudnn_frontend_MatMulDesc.h
index a7d0714..c5ccb90 100644
--- a/include/cudnn_frontend_MatMulDesc.h
+++ b/include/cudnn_frontend_MatMulDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_Operation.h b/include/cudnn_frontend_Operation.h
index d69decd..15c32d2 100644
--- a/include/cudnn_frontend_Operation.h
+++ b/include/cudnn_frontend_Operation.h
@@ -30,8 +30,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_ConvDesc.h"
 #include "cudnn_frontend_PointWiseDesc.h"
diff --git a/include/cudnn_frontend_OperationGraph.h b/include/cudnn_frontend_OperationGraph.h
index 8c708b7..ce5b000 100644
--- a/include/cudnn_frontend_OperationGraph.h
+++ b/include/cudnn_frontend_OperationGraph.h
@@ -30,8 +30,8 @@
 #include <utility>
 #include <vector>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Operation.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_PointWiseDesc.h b/include/cudnn_frontend_PointWiseDesc.h
index b62cd27..8b56eeb 100644
--- a/include/cudnn_frontend_PointWiseDesc.h
+++ b/include/cudnn_frontend_PointWiseDesc.h
@@ -30,8 +30,8 @@
 #include <utility>
 #include <limits>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_ReductionDesc.h b/include/cudnn_frontend_ReductionDesc.h
index 21c4ee3..e77e4ef 100644
--- a/include/cudnn_frontend_ReductionDesc.h
+++ b/include/cudnn_frontend_ReductionDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_Resample.h b/include/cudnn_frontend_Resample.h
index 2174509..d0d7e3b 100644
--- a/include/cudnn_frontend_Resample.h
+++ b/include/cudnn_frontend_Resample.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_VariantPack.h b/include/cudnn_frontend_VariantPack.h
index dc68207..8b47fce 100644
--- a/include/cudnn_frontend_VariantPack.h
+++ b/include/cudnn_frontend_VariantPack.h
@@ -30,8 +30,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
-- 
2.25.1

